org.h2gis.functions.spatial.edit

## Class ST_UpdateZ

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.edit.ST_UpdateZ

All Implemented Interfaces:
  org.h2gis.api.Function, org.h2gis.api.ScalarFunction

    public class ST_UpdateZ
    extends org.h2gis.api.DeterministicScalarFunction

This function replace the z component of (each vertex of) the geometric parameter to the corresponding value given by a field.

Author:
  Erwan Bocher

### Nested Class Summary

Nested Classes
`static class` `ST_UpdateZ.UpdateZCoordinateSequenceFilter` Replaces the z value to each vertex of the Geometry.

### Field Summary

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC, PROP_NOBUFFER`

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Constructor Summary

Constructors
Constructor and Description
`ST_UpdateZ()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getJavaStaticMethod()`
`static com.vividsolutions.jts.geom.Geometry` `updateZ(com.vividsolutions.jts.geom.Geometry geometry, double z)` Replace the z with same value.
`static com.vividsolutions.jts.geom.Geometry` `updateZ(com.vividsolutions.jts.geom.Geometry geometry, double z, int updateCondition)` Replace the z value depending on the condition.

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_UpdateZ

    public ST_UpdateZ()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### updateZ

    public static com.vividsolutions.jts.geom.Geometry updateZ(com.vividsolutions.jts.geom.Geometry geometry,
                                                               double z)
                                                        throws SQLException

Replace the z with same value. NaN values are also updated.

Parameters:
  `geometry` -
  `z` -
Returns:
Throws:
  `SQLException`

#### updateZ

    public static com.vividsolutions.jts.geom.Geometry updateZ(com.vividsolutions.jts.geom.Geometry geometry,
                                                               double z,
                                                               int updateCondition)
                                                        throws SQLException

Replace the z value depending on the condition.

Parameters:
  `geometry` -
  `z` -
  `updateCondition` - set if the NaN value must be updated or not
Returns:
Throws:
  `SQLException`